#
# spec file for package avmailgate (Version 6.9.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         avmailgate
Copyright:    H+BEDV Datentechnik GmbH
Group:        Networking/Daemons
Provides:     avmailgate
Autoreqprov:  on
Summary:      AvMailGate virus scanner software package
Version:      6.9.0.0
Release:      35
Source:       avlxmgt.tgz
Patch:        avmailgate-%{version}-linux-glibc.dif
BuildRoot:    %{_tmppath}/%{name}-root
ExclusiveArch: i386
# ---------------------------------------------------------------------------
%prep
%setup -T -c
tar -xvzf $RPM_SOURCE_DIR/avlxmgt.tgz
%patch 
# ---------------------------------------------------------------------------

%build
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 avmailgate-%{version}-linux-glibc/rc.config.avgate ${RPM_BUILD_ROOT}/var/adm/fillup-templates/rc.config.avgate
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/etc/
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d/rc3.d
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d/rc4.d
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d/rc5.d
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 uucp.uucp $RPM_BUILD_ROOT/var/spool/vscan/avmailgate
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/AntiVir
install -d -m 755 uucp.uucp $RPM_BUILD_ROOT/var/run/avmailgate
install -m 400 avmailgate-%{version}-linux-glibc/antivir.vdf $RPM_BUILD_ROOT/usr/lib/AntiVir
install -m 755 avmailgate-%{version}-linux-glibc/avgated $RPM_BUILD_ROOT/usr/lib/AntiVir
install -m 755 avmailgate-%{version}-linux-glibc/avgateff $RPM_BUILD_ROOT/usr/lib/AntiVir
install -m 755 avmailgate-%{version}-linux-glibc/avgatefwd $RPM_BUILD_ROOT/usr/lib/AntiVir
ln -s ../lib/AntiVir/avgated $RPM_BUILD_ROOT/usr/sbin
ln -s ../lib/AntiVir/avgateff $RPM_BUILD_ROOT/usr/sbin
ln -s ../lib/AntiVir/avgatefwd $RPM_BUILD_ROOT/usr/sbin
install -g root -m 755 -o root avmailgate-%{version}-linux-glibc/rc.avgate.SuSE $RPM_BUILD_ROOT/etc/init.d/avgate
ln -sf ../../etc/init.d/avgate $RPM_BUILD_ROOT/usr/sbin/rcavgate
install -m 644 avmailgate-%{version}-linux-glibc/etc/avmailgate.conf $RPM_BUILD_ROOT/etc
install -m 644 avmailgate-%{version}-linux-glibc/etc/avmailgate.acl $RPM_BUILD_ROOT/etc
install -m 644 avmailgate-%{version}-linux-glibc/man/avmailgate.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 avmailgate-%{version}-linux-glibc/man/avmailgate.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.avgate
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.avgate and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/avgate

%postun
sbin/insserv etc/init.d/

%files
%dir %attr(0700, uucp, uucp) /var/spool/vscan/avmailgate
%dir %attr(0700, uucp, uucp) /var/run/avmailgate
%config(noreplace) /etc/avmailgate.conf
%config(noreplace) /etc/avmailgate.acl
%config /etc/init.d/avgate
%doc avmailgate-%{version}-linux-glibc/ChangeLog avmailgate-%{version}-linux-glibc/FAQ avmailgate-%{version}-linux-glibc/README avmailgate-%{version}-linux-glibc/VERSION avmailgate-%{version}-linux-glibc/README.SuSE
%doc %{_mandir}/man5/avmailgate.conf.5.gz
%doc %{_mandir}/man8/avmailgate.8.gz
/usr/sbin/rcavgate
/usr/lib/AntiVir
/usr/sbin/avgated
/usr/sbin/avgateff
/usr/sbin/avgatefwd
/var/adm/fillup-templates/rc.config.avgate

%clean
rm -rf $RPM_BUILD_ROOT

%description
AvMailGate can be used with several Mail Transfer Agents (MTA) to scan viruses at the eMail Server level.  Further information  can be found at
http://www.antivir.de/ or http://www.hbedv.com/

Authors:
--------
    Martin Ritter <linux_support@antivir.de> 
    

SuSE series: sec


%changelog -n avmailgate
* Mon Aug 06 2001 - link@suse.de
- initial package (AvMailGate 6.9.0.0)
